autopkgtests fail on s390x

Bug #1808147 reported by Olivier Tilloy on 2018-12-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libreoffice (Ubuntu)
High
Olivier Tilloy
Cosmic
Undecided
Unassigned

Bug Description

libreoffice autopkgtests on s390x started failing reliably on 2018-12-11.

This corresponds to when a new version of autopkgtest was deployed to the production infrastructure: https://lists.ubuntu.com/archives/ubuntu-devel/2018-December/040564.html

The failing test is "smoketest". It has the "skippable" restriction, which was previously unknown, and as a result the test was skipped altogether. "skippable" is now a valid and understood restriction, so the test is being run, but it fails:

[…]
mkdir -p /tmp/autopkgtest.A1jy64/build.urp/src/workdir/CustomTarget/i18npool/textconversion/
S=/tmp/autopkgtest.A1jy64/build.urp/src && I=$S/instdir && W=$S/workdir && touch $W/Headers/Library/libcollator_data.so
S=/tmp/autopkgtest.A1jy64/build.urp/src && I=$S/instdir && W=$S/workdir && touch $W/Headers/Library/libdict_ja.so
S=/tmp/autopkgtest.A1jy64/build.urp/src && I=$S/instdir && W=$S/workdir && touch $W/Headers/Library/libdict_zh.so
S=/tmp/autopkgtest.A1jy64/build.urp/src && I=$S/instdir && W=$S/workdir && touch $W/Headers/Library/libindex_data.so
S=/tmp/autopkgtest.A1jy64/build.urp/src && I=$S/instdir && W=$S/workdir && touch $W/Headers/Library/liblocaledata_en.so
/tmp/autopkgtest.A1jy64/build.urp/src/solenv/gbuild/Package.mk:82: *** Something depends on package test_unittest which does not exist.. Stop.
make[1]: *** Waiting for unfinished jobs....
S=/tmp/autopkgtest.A1jy64/build.urp/src && I=$S/instdir && W=$S/workdir && touch $W/Headers/Library/libtextconv_dict.so
[build PKG] test_unittest
make[1]: Leaving directory '/tmp/autopkgtest.A1jy64/build.urp/src'
make: *** [Makefile:112: i18npool.all] Error 2
autopkgtest [13:27:33]: test smoketest: -----------------------]
autopkgtest [13:27:34]: test smoketest: - - - - - - - - - - results - - - - - - - - - -
smoketest FAIL non-zero exit status 1

Olivier Tilloy (osomon) wrote :

When running the smoketest test, on s390x autogen.sh is run with "--without-cppunit --without-junit", which I suspect is the reason why the test_unittest package is not built earlier.

Rik Mills (rikmills) wrote :

I had scheduled a test on the current package against the release pocket, and that confirmed that it is regressed there as well.

Olivier Tilloy (osomon) on 2018-12-13
Changed in libreoffice (Ubuntu):
status: Triaged → In Progress
Rik Mills (rikmills) wrote :

Tests with ubuntu8 still seem to fail on the smoketest.

configure: error: Package requirements (cppunit >= 1.14.0) were not met:

No package 'cppunit' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CPPUNIT_CFLAGS
and CPPUNIT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
Error running configure at ./autogen.sh line 289.
make: *** [debian/rules:1878: config_host.mk] Error 25

Olivier Tilloy (osomon) wrote :

Right, I had overlooked that unit tests are intentionally disabled on s390x and all other big endian architectures, and thus libcppunit-dev is excluded from the build dependencies on s390x.

It is unclear to me whether the smoke tests could eventually be made to run and pass on s390x, but for the moment it seems reasonable to just skip the failing autopkgtest on that architecture, which I've done with https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice/commit/?id=7c69bd0dccbfc377fe644042e0dad75f142c04f8.

1:6.1.3-0ubuntu9 is now building in disco-proposed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:6.1.3-0ubuntu9

---------------
libreoffice (1:6.1.3-0ubuntu9) disco; urgency=medium

  * debian/tests/smoketest: revert previous change and skip the test altogether
    on s390x, where unit tests are intentionally not built (LP: #1808147)

 -- Olivier Tilloy <email address hidden> Fri, 14 Dec 2018 23:23:40 +0100

Changed in libreoffice (Ubuntu):
status: In Progress → Fix Released

An upload of libreoffice to cosmic-proposed has been rejected from the upload queue for the following reason: "Includes unexpected config file change.".

Hello Olivier, or anyone else affected,

Accepted libreoffice into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice/1:6.1.3-0ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libreoffice (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Brian Murray (brian-murray) wrote :

Hello Olivier, or anyone else affected,

Accepted libreoffice-l10n into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice-l10n/1:6.1.3-0ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :
tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic

The verification of the Stable Release Update for libreoffice has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:6.1.3-0ubuntu0.18.10.2

---------------
libreoffice (1:6.1.3-0ubuntu0.18.10.2) cosmic; urgency=medium

  * debian/tests/smoketest: skip the test altogether on s390x, where unit tests
    are intentionally not built (LP: #1808147)

libreoffice (1:6.1.3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream release (LP: #1803142)

 -- Olivier Tilloy <email address hidden> Mon, 17 Dec 2018 10:29:46 +0100

Changed in libreoffice (Ubuntu Cosmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers